Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns a single activity by Strava ID.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/running/activities/{id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/running/activities/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/running/activities/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "id": 17748681520, "strava_id": 17748681520, "name": "Monday Evening Run", "date": "2026-03-16T17:00:05Z", "distance_mi": 4.49, "duration": "36:02", "duration_s": 2162, "pace": "8:02/mi", "elevation_ft": 370.73, "heartrate_avg": null, "heartrate_max": null, "cadence": 75.2, "calories": 525, "suffer_score": null, "city": null, "state": null, "polyline": "_wfbHb|niVD_@TEd@...", "is_race": false, "workout_type": "default", "strava_url": "https://www.strava.com/activities/17748681520" }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Activity detail